<?php
if($_SERVER['ENVIRONMENT'] != 'development' && $_SERVER['APPLICATION'] != 'cms')
{
	header('HTTP/1.0 403 Forbidden');
	error_log("Access to editor when environment is '". $_SERVER['ENVIRONMENT'] . "' and application mode is '" . $_SERVER['APPLICATION'] . "'.");
	die();
}
include (dirname(__FILE__) . "/../config.inc");
function devtool_autoload($class)
{
	if(file_exists(DEVTOOL_ROOT . $class . ".inc"))
	{
		require_once (DEVTOOL_ROOT . $class . ".inc");
	}
}

spl_autoload_register("devtool_autoload");

session_start();
$devtoolController = DevtoolController::getInstance();
echo $devtoolController->getPage()->process();
